Subject: RE: [mobile-ip] WG Last Call: draft-ietf-mobileip-reg-tunnel-06.t xt

From: "Ahmad Muhanna"<[email-masked]>
Date: Mon, 22 Apr 2002 13:01:33 -0500

Hello Charlie;
please see my comments inline.

> 
> 
> Hello Jim and Basavaraj,
> 
> James Kempf wrote:
> 
> > Raj,
> >
> > Dana has already expressed his opposition to it going forward as
> > standard, based on his belief that the function it is 
> trying to perform
> > can be performed with considerably less mechanism using the 
> fast handoff
> > techniques
> 
> As I tried to explain in my last note, these techniques are different,
> and solve different problems which are both related to handover
> performance.  Handovers are affected by a number of factors, and
> it's not appropriate to expect that every factor will be solved by
> the same mechanism.
> 
> >
> >            I certainly believe we need to continue the 
> discussion, and
> > support that, but I also believe there is enough question about the
> > draft's value as a standard that we should consider other 
> avenues for
> > publication.
> 
> Publication as Proposed Standard is appropriate, because the work
> has been done, implemented, and shown to work.
> 
> >                                                   The only 
> concern is that
> > it may serve
> > as a precedent for Mobile IPv6, where the issue is more 
> important, due
> > to the lack of a large installed base. I'm categorically opposed to
> > introducing any hint of VLR-like functionality into  Mobile IPv6
> > networks unless there is no other way to provide the 
> functionality and
> > it is critically needed.
> 
> It is important to keep regional registration separate from 
> Mobile IPv6,
> and from Mobile IPv4 for that matter.  I don't think anyone 

I respectfully disagree. Your proposed solution in this draft affects
existing 
Mobile IPv4 implementation in many aspects!!!

Ahmad Muhanna

> is suggesting
> that such protocol become mandatory to implement.
> 
> If the protocol is done, works, and is useful for some systems, then
> that is enough reason for publication.  If your Mobile IPv6 system
> does not need it, then you should not put it in -- nor would anyone
> expect you to do so.
> 
> Also, characterizing the solution as "VLR"-like is prejudicial
> and inaccurate in my opinion.  VLRs are a lot different, and
> only become similar at a very very high level view.
> 
> Regards,
> Charlie P.
> 
> 
>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 22 Apr 2002 11:11:23 -0700

Hello Ahmad,

> I respectfully disagree. Your proposed solution in this draft affects existing

How do you mean that?  Regional agents can handle existing Mobile IPv4
mobile nodes -- the mobile nodes just can't then use regional messages.
Mobile nodes that run the new protocol do not disturb other mobile
entities.  If the home agent supports the ability to handle the
non-mandatory extensions for zero care-of address, then the mobile
node can use this feature.  If not, then the mobile node can either
not use regional registration.  This would be a matter for preconfiguration
just as with the mobile security association.

The regional registration protocol is a new protocol, with new
messages and extensions, that works well with Mobile IPv4.
If there was a way to do it with Mobile IPv4, then we wouldn't
have to make the draft.  Otherwise, aren't changes required in
at least some implementation somewhere?

Regards,
Charlie P.